/*
 * misc.h
 */

#include "ipxtunnel.h"
#include "ipx.h"

struct host {
	char			*host;	/* FQDN or dotted decimal IP */
	unsigned short		port;
};

struct config {
	struct host	**hosts;
	char		**interfaces;
	unsigned short	port;
};

#define MAXLINE	256

struct config *ReadConfigFile(char *fname);
void	*Malloc(size_t size);
int	Compress(unsigned char *ibuf, unsigned char *obuf, int len);
int	Uncompress(unsigned char *ibuf, unsigned char *obuf, int len);
void	PrintHex(char *s, int len);
void	PrintIPX(ipx_packet *pkt);
